# Uses of Interface
org.eclipse.swt.browser.ProgressListener

Packages that use ProgressListener
Package
Description
org.eclipse.swt.browser

## Uses of ProgressListener in org.eclipse.swt.browser

Methods in org.eclipse.swt.browser that return ProgressListener
Modifier and Type
Method
Description
`static ProgressListener`
ProgressListener.`changedAdapter(Consumer<ProgressEvent> c)`
Static helper method to create a `ProgressListener` for the `ProgressListener.changed(ProgressEvent e)`) method, given a lambda expression or a method reference.
`static ProgressListener`
ProgressListener.`completedAdapter(Consumer<ProgressEvent> c)`
Static helper method to create a `ProgressListener` for the `ProgressListener.completed(ProgressEvent e)`) method, given a lambda expression or a method reference.
Methods in org.eclipse.swt.browser with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
Browser.`addProgressListener(ProgressListener listener)`
Adds the listener to the collection of listeners who will be notified when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.
`void`
Browser.`removeProgressListener(ProgressListener listener)`
Removes the listener from the collection of listeners who will be notified when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.